MAX30001G 1.0.2 Arduino library for MAX30001G ECG and BIOZ AFE

Public Member Functions | List of all members
RingBuffer< T, N > Class Template Reference

`#include <RingBuffer.h>`

## Public Member Functions
size_t | available () const
size_t | capacity () const
void | clear ()
size_t | consume ()
size_t | consume (size_t len)
size_t | peek (T &output) const
size_t | peek (T *output, size_t len) const
size_t | pop (T &output)
size_t | pop (T *output, size_t len)
size_t | push (const T &data, bool overwrite=false)
size_t | push (const T *data, size_t data_len, bool overwrite=false)
| RingBuffer ()

## Constructor & Destructor Documentation

## ◆ RingBuffer()

template<typename T , size_t N>

RingBuffer< T, N >::RingBuffer | ( |  | ) |
| inline

## Member Function Documentation

## ◆ available()

template<typename T , size_t N>

size_t RingBuffer< T, N >::available | ( |  | ) | const
| inline

## ◆ capacity()

template<typename T , size_t N>

size_t RingBuffer< T, N >::capacity | ( |  | ) | const
| inline

## ◆ clear()

template<typename T , size_t N>

void RingBuffer< T, N >::clear

## ◆ consume() [1/2]

template<typename T , size_t N>

size_t RingBuffer< T, N >::consume

## ◆ consume() [2/2]

template<typename T , size_t N>

size_t RingBuffer< T, N >::consume | ( | size_t | len | ) |

## ◆ peek() [1/2]

template<typename T , size_t N>

size_t RingBuffer< T, N >::peek | ( | T & | output | ) | const

## ◆ peek() [2/2]

template<typename T , size_t N>

size_t RingBuffer< T, N >::peek | ( | T * | output,
|  | size_t | len
| ) |  | const

## ◆ pop() [1/2]

template<typename T , size_t N>

size_t RingBuffer< T, N >::pop | ( | T & | output | ) |

## ◆ pop() [2/2]

template<typename T , size_t N>

size_t RingBuffer< T, N >::pop | ( | T * | output,
|  | size_t | len
| ) |  |

## ◆ push() [1/2]

template<typename T , size_t N>

size_t RingBuffer< T, N >::push | ( | const T & | data,
|  | bool | overwrite = `false`
| ) |  |

## ◆ push() [2/2]

template<typename T , size_t N>

size_t RingBuffer< T, N >::push | ( | const T * | data,
|  | size_t | data_len,
|  | bool | overwrite = `false`
| ) |  |

The documentation for this class was generated from the following file:

- src/RingBuffer.h